html {
    line-height: 1.15; /* 1 */
    -webkit-text-size-adjust: 100%; /* 2 */
  }
  
  * {
    box-sizing: border-box;
  }
  
  body {
    margin: 0;
  }
  

  main {
    display: block;
  }
  

  h1 {
    font-size: 2em;
    margin: 0.67em 0;
  }
  
  /* Grouping content
     ========================================================================== */
  
  /**
   * 1. Add the correct box sizing in Firefox.
   * 2. Show the overflow in Edge and IE.
   */
  
  hr {
    box-sizing: content-box; /* 1 */
    height: 0; /* 1 */
    overflow: visible; /* 2 */
  }
  
  /**
   * 1. Correct the inheritance and scaling of font size in all browsers.
   * 2. Correct the odd `em` font sizing in all browsers.
   */
  
  pre {
    font-family: monospace, monospace; /* 1 */
    font-size: 1em; /* 2 */
  }
  
  /* Text-level semantics
     ========================================================================== */
  
  /**
   * Remove the gray background on active links in IE 10.
   */
  
  a {
    background-color: transparent;
  }
  
  /**
   * 1. Remove the bottom border in Chrome 57-
   * 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.
   */
  
  abbr[title] {
    border-bottom: none; /* 1 */
    text-decoration: underline; /* 2 */
    text-decoration: underline dotted; /* 2 */
  }
  
  /**
   * Add the correct font weight in Chrome, Edge, and Safari.
   */
  
  b,
  strong {
    font-weight: bolder;
  }
  
  /**
   * 1. Correct the inheritance and scaling of font size in all browsers.
   * 2. Correct the odd `em` font sizing in all browsers.
   */
  
  code,
  kbd,
  samp {
    font-family: monospace, monospace; /* 1 */
    font-size: 1em; /* 2 */
  }
  
  /**
   * Add the correct font size in all browsers.
   */
  
  small {
    font-size: 80%;
  }
  

  
  sub,
  sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
  }
  
  sub {
    bottom: -0.25em;
  }
  
  sup {
    top: -0.5em;
  }
  

  
  img {
    border-style: none;
  }
  

  
  button,
  input,
  optgroup,
  select,
  textarea {
    font-family: inherit; /* 1 */
    font-size: 100%; /* 1 */
    line-height: 1.15; /* 1 */
    margin: 0; /* 2 */
  }
  
 
  
  button,
  input { /* 1 */
    overflow: visible;
  }
 
  
  button,
  select { /* 1 */
    text-transform: none;
  }
  

  
  button,
  [type="button"],
  [type="reset"],
  [type="submit"] {
    -webkit-appearance: button;
  }
  

  
  button::-moz-focus-inner,
  [type="button"]::-moz-focus-inner,
  [type="reset"]::-moz-focus-inner,
  [type="submit"]::-moz-focus-inner {
    border-style: none;
    padding: 0;
  }
  
  
  
  button:-moz-focusring,
  [type="button"]:-moz-focusring,
  [type="reset"]:-moz-focusring,
  [type="submit"]:-moz-focusring {
    outline: 1px dotted ButtonText;
  }
  
 
  fieldset {
    padding: 0.35em 0.75em 0.625em;
  }
  

  
  legend {
    box-sizing: border-box; /* 1 */
    color: inherit; /* 2 */
    display: table; /* 1 */
    max-width: 100%; /* 1 */
    padding: 0; /* 3 */
    white-space: normal; /* 1 */
  }
  

  
  progress {
    vertical-align: baseline;
  }
  
 
  
  textarea {
    overflow: auto;
  }
  
 
  
  [type="checkbox"],
  [type="radio"] {
    box-sizing: border-box; /* 1 */
    padding: 0; /* 2 */
  }
  
 
  
  [type="number"]::-webkit-inner-spin-button,
  [type="number"]::-webkit-outer-spin-button {
    height: auto;
  }
  

  
  [type="search"] {
    -webkit-appearance: textfield; /* 1 */
    outline-offset: -2px; /* 2 */
  }
  
  
  [type="search"]::-webkit-search-decoration {
    -webkit-appearance: none;
  }
  
  ::-webkit-file-upload-button {
    -webkit-appearance: button; /* 1 */
    font: inherit; /* 2 */
  }
  
  details {
    display: block;
  }
  
  summary {
    display: list-item;
  }

  template {
    display: none;
  }
  
  [hidden] {
    display: none;
  }

  @font-face {
    font-family: "Inter Variable";
    src: url('/font/InterVariable.woff2') format('woff2');
  }

  body {
    font-family: "Inter Variable", sans-serif;
    background-color: #fbfbfb;
    min-height: 100vh;
    padding-bottom: 90px;
    position: relative;
    color:#0f172a;
  }

  .main-section {
    width: 1000px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 60px;
    margin-bottom: 60px;
  }

  .main-section h1 {
    font-weight: 800;
    font-size: 52px;
    text-align: center;
    line-height: 1;
    margin-bottom: 24px;
  }

  .main-section h2 {
    font-weight: normal;
    font-size: 18px;
    text-align: center;
    width: 700px;
    margin: 10px auto;
    line-height: 28px;
  }

  .search-bar {
    display: flex;
    margin-top: 20px;
    margin-bottom: 40px;
    column-gap: 12px;
    justify-content: center;
  }

  .text-input,
  textarea {
    display: block;
    outline: 0;
    width: 400px;
    padding: 10px 15px;
    border: 1px solid rgb(139, 140, 141);
    border-radius: 6px;
    box-shadow: rgb(209, 213, 219) 0px 0px 0px 1px inset, rgba(202, 202, 202, 0.05) 0px 1px 2px 0px;
    transition: all .3s ease;
    resize: none;
  }

  .text-input:focus,
  textarea:focus {
    border-color: #009c5d;
    box-shadow: rgb(255, 255, 255) 0px 0px 0px 0px inset, #009c5d 0px 0px 0px 2px inset;
  }

  .input-book-title {
    width: 270px;
  }

  .input-book-author {
    width: 270px;
  }

  .search-btn {
    background-color: #009c5d;
    cursor: pointer;
    color: #fff;
    border: 0;
    font-size: 16px;
    font-weight: 600;
    text-align: center;
    line-height: 20px;
    padding: 10px 15px;
    border-radius: 6px;
  }

  .search-btn:hover {
    background-color: #03bb71;
  }

  .search-btn.disabled {
    background-color: #d1d5db !important;
    color: #000 !important;
    cursor: default;
    opacity: 0.5;
  }

  .share-section {
    display: none;
    flex-direction: column;
    margin-top: 50px;
    margin-bottom: 0;
    align-items: center;
  }

  .share-section h2 {
    margin: 0 0 10px 0;
    font-weight: 600;
  }

  .share-section p {
    margin: 0 0 20px 0;
  }

  .social-btns {
    display: flex;
    column-gap: 12px;
    margin: 0 auto;
  }

  .social-share-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    text-align: center;
    width: 40px;
    height: 40px;
    min-width: 40px;
    border-color: transparent;
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.14), 0 1px 4px rgba(0, 0, 0, 0.28);
    border-radius: 50%;
    overflow: hidden;
    transition: all .2s ease;
  }

  .social-share-btn:hover {
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.16), 0 2px 6px rgba(0, 0, 0, 0.4);
  }

  .social-share-btn svg {
    display: block;
    width: 16px;
    height: 16px;
    backface-visibility: hidden;
}

.social-share-btn.facebook-share-btn {
  background-color: #3e68c0;
}

.social-share-btn.facebook-share-btn svg {
  width: 19px;
  height: 19px;
}

.social-share-btn.x-share-btn {
  background-color: #3e3e3e;
}

.social-share-btn.reddit-share-btn {
  background-color: #ff5c1f;
}

.social-share-btn.reddit-share-btn svg {
  width: 19px;
  height: 19px;
}

.social-share-btn.linkedin-share-btn {
  background-color: #0275b6;
}

.social-share-btn.linkedin-share-btn svg {
  width: 25px;
  height: 25px;
}

.social-share-btn.whatsapp-share-btn {
  background-color: #13d25a;
}

.social-share-btn.whatsapp-share-btn svg {
  width: 25px;
  height: 25px;
}

.social-share-btn.email-share-btn {
  background-color: #f3cd0e;
}

.main-section .books {
  display: flex;
  flex-direction: column;
  row-gap: 28px;
  padding: 0 40px;
}

.main-section .books .book-wrapper {
  display: flex;
  column-gap: 30px;
}

.main-section .books .book-info-wrapper {
  padding: 14px 0;
}

.main-section .books .store-search-wrapper {
  width: 190px;
  min-width: 190px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  row-gap: 12px;
}

.main-section .books .image-wrapper {
  width: 170px;
  min-width: 170px;
  height: 260px;
  box-shadow: 1px 2px 5px 0 #bdb9a8;
  border-radius: 3px;
  overflow: hidden;
  background-color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.main-section .books .cover-not-available {
  display: none;
  width: 100%;
  height: 100%;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.main-section .books .cover-not-available svg {
  width: 50%;
  height: auto;
}

.main-section .books .cover-not-available p {
  text-transform: uppercase;
  text-align: center;
  font-size: 18px;
  color: #716e6e;
}

.main-section .books img {
  max-width: 100%;
  max-height: 100%;
  display: block;
}

.main-section .books .book-wrapper .book-title {
  font-size: 18px;
  line-height: 1.3;
  margin: 0;
}

.main-section .books .book-wrapper .book-author {
  color: #565959;
  font-size: 14px;
  line-height: 20px;
  margin: 6px 0 0 0;
}

.main-section .books .book-wrapper .book-description {
  font-size: 16px;
  line-height: 1.3;
}

.main-section .books .search-amazon-btn {
  background-color: inherit;
  cursor: pointer;
  border: 2px solid #009c5d;
  color: #026d42;
  font-size: 16px;
  width: 100%;
  font-weight: 600;
  text-align: center;
  line-height: 20px;
  padding: 10px 15px;
  border-radius: 6px;
}


.loader-wrap {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.font-bold {
  font-weight: 600;
}

.alert {
  display: none;
  border: 1px solid #c53030;
  border-radius: 5px;
  background-color: #fff5f5;
  color: rgb(197, 48, 48);
  padding: 16px;
}

.alert p {
  margin: 0;
  line-height: 26px;
}

.loader {
  width: 50px;
  aspect-ratio: 1;
  display: grid;
  border: 4px solid #0000;
  border-radius: 50%;
  border-right-color: #03bb71;
  animation: l15 1s infinite linear;
}
.loader::before,
.loader::after {    
  content: "";
  grid-area: 1/1;
  margin: 2px;
  border: inherit;
  border-radius: 50%;
  animation: l15 2s infinite;
}
.loader::after {
  margin: 8px;
  animation-duration: 3s;
}
@keyframes l15{ 
  100%{transform: rotate(1turn)}
}


.main-section .books .mobile-buttons-wrapper.store-search-wrapper {
  display: none;
}

.mobile-buttons-wrapper.store-search-wrapper .search-amazon-btn {
  width: 156px;
  display: inline-block;
  padding: 6px;
}

.mobile-buttons-wrapper.store-search-wrapper .search-amazon-btn:first-child {
  margin-right: 5px;
}


@media (max-width: 1080px) {
  .main-section {
    width: 100%;
    padding: 0 32px;
  }
  
  .main-section .books {
    padding: 0 30px;
  }
}

@media (max-width: 900px) {
  .main-section {
    padding: 0 25px;
  }

  .main-section .books {
    padding: 0 20px;
  }

  .main-section .books .image-wrapper {
    width: 140px;
    min-width: 140px;
    height: 214px;
  }

  .main-section .books .search-amazon-btn {
    font-size: 14px;
  }

  .main-section .books .store-search-wrapper {
    width: 165px;
    min-width: 165px;
  }

  .main-section h1 {
    font-size: 48px;
  }

  .main-section .books .book-wrapper {
    column-gap: 25px;
  }
}

@media (max-width: 800px) { 
  .main-section .books {
    padding: 0;
  }

  .main-section h2 {
    width: 100%;
  }

  .main-section h1 {
    font-size: 40px;
  }
}

@media (max-width: 700px) { 
  .main-section h1 {
    font-size: 36px;
  }

  .search-bar {
    width: 100%;
    flex-direction: column;
    row-gap: 12px;
  }

  .search-btn {
    width: 150px;
  }

  .search-bar {
    align-items: center;
  }

  .search-bar .input-book-title,
  .search-bar .input-book-author {
    width: 100%;
  }

  .main-section .books .mobile-buttons-wrapper.store-search-wrapper {
    display: block;
    width: 100%;
    margin-top: 20px;
  }

  .main-section .book-wrapper > .store-search-wrapper {
    display: none;
  }
}

@media (max-width: 600px) {
  .main-section h1 {
    font-size: 32px;
    line-height: 1.1;
    margin-bottom: 18px;
  }


  .main-section h2 {
    font-size: 16px;
    line-height: 24px;
  }

  .main-section {
    padding: 0 20px;
  }

}

@media (max-width: 550px) {
  .mobile-buttons-wrapper.store-search-wrapper .search-amazon-btn {
    display: block;
  }

  .mobile-buttons-wrapper.store-search-wrapper .search-amazon-btn:first-child {
    margin: 0 0 10px 0;
  }

  .main-section .books .book-wrapper .book-description {
    font-size: 14px;
  }

  .main-section .books .book-wrapper .book-title {
    font-size: 16px;
  }

  .main-section .books .image-wrapper {
    width: 116px;
    min-width: 116px;
    height: 177px;
  }

  .main-section .books .cover-not-available p {
    font-size: 14px;
  }

  .main-section .books .book-info-wrapper {
    padding: 3px 0 14px 0;
  }
}

@media (max-width: 420px) {
  .main-section h1 {
    font-size: 28px;
  }

  .main-section {
    padding: 0 15px;
  }
}